This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 467101 - rs690 LVDS is blooming
rs690 LVDS is blooming
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-15 14:20 EDT by Joachim Deguara
Modified: 2009-10-15 15:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-15 15:15:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
verbose Xlog of X starting with just the LVDS (no VGA monitor connected) (46.50 KB, text/plain)
2008-10-15 14:20 EDT, Joachim Deguara
no flags Details

  None (edit)
Description Joachim Deguara 2008-10-15 14:20:20 EDT
Created attachment 320471 [details]
verbose Xlog of X starting with just the LVDS (no VGA monitor connected)

Description of problem:

Fedora10 beta1 radeon driver does not work with the LVDS in the laptop.  I have to boot with nomodeset and then starting X causes the laptop screen to just go green and get pixeling while increasing in brightness.  An attached VGA monitor works fine.

Version-Release number of selected component (if applicable):

f10 beta1

How reproducible:

start X

Steps to Reproduce:
1.
2.
3.
  
Actual results:

blooming

Expected results:

X desktop

Additional info:
Comment 1 Joachim Deguara 2008-11-05 20:01:51 EST
still an issue with f10 preview.  I installed in text mode and did a git bisect as to find which commit to the radeon driver started this problem as an earlier version of radeon did not have the issue.  It turns out that it is commit effa245914 which is entitled 'disable TV-out' and I would think has nothing to do with LVDS but multiple tests shows it does.
Comment 3 Bug Zapper 2008-11-25 22:54:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jóhann B. Guðmundsson 2008-12-01 07:10:19 EST
There have been bunch of bug fixes

Could you retest with the latest kernel 
( -132 at the time of this writing )

You can get the latest kernel build here
http://koji.fedoraproject.org/koji/buildinfo?buildID=72270 

And with the latest xorg-x11-drv-ati. 
( -60 at the time of this writing )

You can get the latest xorg-x11-drv-ati build here
http://koji.fedoraproject.org/koji/packageinfo?packageID=95

And report back if it either improves or fixes this issue..

Thanks.
Comment 5 Joachim Deguara 2008-12-16 18:32:49 EST
Sorry it took so long to get back to this laptop.  Yes the problem still exists with me just updating rawhide on this system.  Woah this time nomodeset doesn't help either!

xorg-x11-drv-ati-6.9.0-61.fc10.i386
kernel-2.6.28-0.129.rc8.git2.fc11.i386   *note major kernel change*
xorg-x11-server-Xorg-1.5.3-5.fc10i38  <--not sure if version info for that rpm is needed or if there is other key packages you would like to know about
Comment 6 Joachim Deguara 2008-12-16 18:35:38 EST
sorry if one of the remarks in the last comment was confusing: "Woah this time nomodeset doesn't help either!" this hasn't changed as there was always problem with X with or withouth kernel modesetting so I don't know why I said that.  Just that both with and without modesetting have the same problem.
Comment 7 Russell Doty 2009-04-07 14:58:32 EDT
Can this problem be reproduced in Fedora 11?
Comment 8 Vedran Miletić 2009-09-06 02:39:21 EDT
Reporter, please try Fedora 11 or Fedora 12 Snap1 (available at http://torrent.fedoraproject.org/).
Comment 9 Vedran Miletić 2009-10-15 15:15:02 EDT
Reporter doesn't reply for a very long time. Closing.

Note You need to log in before you can comment on or make changes to this bug.